summaryrefslogtreecommitdiffstats
path: root/source/ap/sudo/sudo.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/sudo/sudo.SlackBuild')
-rwxr-xr-xsource/ap/sudo/sudo.SlackBuild23
1 files changed, 16 insertions, 7 deletions
diff --git a/source/ap/sudo/sudo.SlackBuild b/source/ap/sudo/sudo.SlackBuild
index fda0c80a7..13e418503 100755
--- a/source/ap/sudo/sudo.SlackBuild
+++ b/source/ap/sudo/sudo.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2016, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sudo
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -35,9 +36,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-sudo
@@ -56,7 +64,7 @@ fi
cd $TMP
rm -rf sudo-$VERSION
-tar xvf $CWD/sudo-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/sudo-$VERSION.tar.?z || exit 1
cd sudo-$VERSION
chown -R root:root .
@@ -75,11 +83,12 @@ CFLAGS="$SLKCFLAGS" \
--with-env-editor \
--disable-pam-session \
--with-pam=no \
- --with-rundir=/var/db/sudo \
+ --with-rundir=/run/sudo \
+ --with-vardir=/var/db/sudo \
--with-insults \
--with-all-insults \
--with-pc-insults \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1